Form Decorator for jQuery Dialog View Helper

package | ZendX_JQuery
subpackage | Form
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License
inherited_from | \ZendX_JQuery_Form_Decorator_UiWidgetContainer

### Methods

## Get element attributes

    getAttribs() : array

Inherited

### Returns

`array`

## Get view helper for rendering container

    getHelper() : string

Inherited

### Exceptions

`\Zend_Form_Decorator_Exception` |

### Returns

`string`

## Get jQuery option parameters

    getJQueryParams() : array

Inherited

### Returns

`array`

## Render an jQuery UI Widget element using its associated view helper

    render(string $content) : string

Determine view helper from 'helper' option, or, if none set, from the element type. Then call as helper($element->getName(), $element->getValue(), $element->getAttribs())

inherited_from | \ZendX_JQuery_Form_Decorator_UiWidgetContainer::render()

### Parameters

#### $content

`string`

### Exceptions

`\Zend_Form_Decorator_Exception` | if element or view are not registered

### Returns

`string`

## Render an jQuery UI Widget element using its associated view helper

    render(string $content) : string

Inherited

Determine view helper from 'helper' option, or, if none set, from the element type. Then call as helper($element->getName(), $element->getValue(), $element->getAttribs())

### Parameters

#### $content

`string`

### Exceptions

`\Zend_Form_Decorator_Exception` | if element or view are not registered

### Returns

`string`

### Properties

## Element attributes

    $_attribs : array

### Default

## View helper

    $_helper

### Default

`"dialogContainer"`

inherited_from | \ZendX_JQuery_Form_Decorator_UiWidgetContainer::_helper

## View helper

    $_helper : string

### Default

## jQuery option parameters

    $_jQueryParams : array

### Default